BGPD(8)

NAME
bgpd - BGP4+ and RIPng routing protocol daemon

SYNOPSIS
bgpd [-c configfile] [-C] [-f]

DESCRIPTION
bgpd speaks IPv6 routing protocols, and maintains the IPv6 network routing table. Though the name is bgpd, it supports both BGP4+ (RFC 2283) and RIPng (RFC 2080) as IPv6 routing protocols.

Options supported by bgpd:

-c configfile
    Specify alternate location, configfile, for configuration file. By default, /usr/local/v6/etc/bgpd.conf is used.

-C  Just check the configuration and immediately exit. When bgpd is invoked with this option, super user privilege is not required.

-f  Do not become daemon, run in foreground.

The bgpd program dumps its current routing information to a dump file when it receives a SIGUSR1 signal. The information includes per-interface RIPng routes and per-peer base BGP information. By default, the dump file is /var/run/bgpd.dump, which is configurable in the configuration file. If the dump file does not exist, bgpd will create a new one and dump to it.

ERROR MESSAGES
The bgpd daemon logs error messages using syslog(3).

FILES
/usr/local/v6/etc/bgpd.conf
    default configuration file.
/var/run/bgpd.pid
    the pid of the currently running bgpd.
/var/run/bgpd.dump
    default dump file.

SEE ALSO
bgpd.conf(5)

HISTORY
The bgpd command was first appeared in Toshiba IPv6 protocol stack kit.

BUGS
No authentication is supported. Therfore, OPEN message's optional parameter always consists of nothing.

Currently, the bgpd daemon doesn't watch the routing socket. So after invoking, bgpd can't handle new routes which are manually added or are added by some other routing daemons/commands.

There is code to handle OSPFv6 in the bgpd source directory, but OSPFv6 support is just in progress. bgpd is not able to distribute nor get IPv6 routing information via OSPFv6.